summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorzimbatm <zimbatm@zimbatm.com>2019-02-22 21:07:48 +0100
committerzimbatm <zimbatm@zimbatm.com>2019-02-22 21:07:53 +0100
commitb402148d8f584144b80fe159e76e553a1792ecb7 (patch)
treec716407494479f463f7c7e67d2dc86d699e2af60
parente58a71442ad4a538b48fc7a9938c3690628c4741 (diff)
remove noop uses of nix-store --init
the nix-store --init command is a noop apparently
-rw-r--r--release.nix1
-rw-r--r--scripts/install-multi-user.sh3
-rw-r--r--scripts/install-nix-from-closure.sh6
-rw-r--r--tests/common.sh.in1
-rw-r--r--tests/init.sh3
5 files changed, 0 insertions, 14 deletions
diff --git a/release.nix b/release.nix
index 271645067..5c0027301 100644
--- a/release.nix
+++ b/release.nix
@@ -278,7 +278,6 @@ let
pkgs.runCommand "eval-nixos" { buildInputs = [ build.x86_64-linux ]; }
''
export NIX_STATE_DIR=$TMPDIR
- nix-store --init
nix-instantiate ${nixpkgs}/nixos/release-combined.nix -A tested --dry-run \
--arg nixpkgs '{ outPath = ${nixpkgs}; revCount = 123; shortRev = "abcdefgh"; }'
diff --git a/scripts/install-multi-user.sh b/scripts/install-multi-user.sh
index 6ee8dd485..f93be9d3a 100644
--- a/scripts/install-multi-user.sh
+++ b/scripts/install-multi-user.sh
@@ -674,9 +674,6 @@ $NIX_INSTALLED_NIX.
EOF
fi
- _sudo "to initialize the Nix Database" \
- $NIX_INSTALLED_NIX/bin/nix-store --init
-
cat ./.reginfo \
| _sudo "to load data for the first time in to the Nix Database" \
"$NIX_INSTALLED_NIX/bin/nix-store" --load-db
diff --git a/scripts/install-nix-from-closure.sh b/scripts/install-nix-from-closure.sh
index ab20774bb..fc633fa23 100644
--- a/scripts/install-nix-from-closure.sh
+++ b/scripts/install-nix-from-closure.sh
@@ -109,12 +109,6 @@ for i in $(cd "$self/store" >/dev/null && echo ./*); do
done
echo "" >&2
-echo "initialising Nix database..." >&2
-if ! $nix/bin/nix-store --init; then
- echo "$0: failed to initialize the Nix database" >&2
- exit 1
-fi
-
if ! "$nix/bin/nix-store" --load-db < "$self/.reginfo"; then
echo "$0: unable to register valid paths" >&2
exit 1
diff --git a/tests/common.sh.in b/tests/common.sh.in
index 6a523ca9d..28d0e8bfd 100644
--- a/tests/common.sh.in
+++ b/tests/common.sh.in
@@ -53,7 +53,6 @@ clearStore() {
mkdir "$NIX_STORE_DIR"
rm -rf "$NIX_STATE_DIR"
mkdir "$NIX_STATE_DIR"
- nix-store --init
clearProfiles
}
diff --git a/tests/init.sh b/tests/init.sh
index 19a12c1e2..6fa4f815b 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -25,9 +25,6 @@ fsync-metadata = false
!include nix.conf.extra.not-there
EOF
-# Initialise the database.
-nix-store --init
-
# Did anything happen?
test -e "$NIX_STATE_DIR"/db/db.sqlite